Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187425 - The original dictionaries disappear after adding new one.
The original dictionaries disappear after adding new one.
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Spellchecker
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: Jan Lahoda
issues@editor
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 11:42 UTC by Petr Pisl
Modified: 2010-07-08 08:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2010-06-10 11:42:50 UTC
Add a user dictionary and close the option dialog. Then open again. The original dictionaries are not available anymore.
Comment 1 Jan Lahoda 2010-06-10 12:19:08 UTC
Fixed:
http://hg.netbeans.org/jet-main/rev/6967f617099a
Also fixed the problem with default locale not being used to already opened files (until closed and reopen):
http://hg.netbeans.org/jet-main/rev/7c460b382a7d
Comment 2 Quality Engineering 2010-06-12 06:49:19 UTC
Integrated into 'main-golden', will be available in build *201006120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6967f617099a
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #187425: using InstalledFileLocator.locateAll to find dictionaries instead of trying to find them in netbeans.home and netbeans.user.
Comment 3 rbalada 2010-06-16 08:56:55 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 4 Petr Blaha 2010-06-17 11:51:51 UTC
verified
Comment 5 rbalada 2010-06-21 12:35:11 UTC
Transplanted to release691 #96ea89c090de
Comment 6 Martin Fousek 2010-07-08 08:33:24 UTC
Verified in NetBeans IDE 6.9.1 Dev (Build 201007062301).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo